
Ruby - Bug #3432

bad conversion from UTF8-MAC

06/12/2010 07:54 PM - Eregon (Benoit Daloze)

Status: Closed   

Priority: Normal   

Assignee: naruse (Yui NARUSE)   

Target version: 2.0.0   

ruby -v: ruby 1.9.3dev (2010-06-09)

[x86_64-darwin10.3.0]

Backport:  

Description

=begin

Ruby does not convert well from UTF8-MAC to UTF-8

The attached script shows it is the only encoding to behave that way and which is compatible 'é' or 'è' in UTF-8.

The results is:

UTF8-MAC Backward conversion: not the same bytes:

[169, 0, 116, 168, 0] != [195, 169, 116, 195, 168]

UTF8-MAC Backward conversion: not the same chars:

["\xA9", "\u0000", "t", "\xA8", "\u0000"] != ["é", "t", "è"]

This issue prevent, without Iconv, from converting properly UTF8-MAC String (from HFS paths) to UTF-8

=end

History

#1 - 06/12/2010 10:47 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Assigned

- Assignee set to naruse (Yui NARUSE)

=begin

=end

#2 - 06/13/2010 02:17 AM - naruse (Yui NARUSE)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

=begin

This issue was solved with changeset r28307.

Benoit, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

=end
